# 旋转

围绕基点将选定的对象旋转指定的角度。

### 使用旋转

* 选择“【编辑】→【旋转】”菜单项，或键入ROTATE命令。
* 选择旋转对象。被选择的旋转对象以粉色高亮显示。选择完成后单击鼠标右键以确认。
* 选择基点。基点可在工作区域内通过鼠标直接指定，也支持吸附到已有图形上。
* 选择第二点以确定旋转起始边。旋转起始边是基点与第二点的连线。第二点可在工作区域内通过鼠标直接指定，也支持吸附到已有图形上。
* 选择第三点以确定旋转终止边。移动鼠标将旋转对象以基点为圆心旋转，此时看到旋转对象转动时的预览。旋转终止边是基点与第三点的连线。第三点可在工作区域内通过鼠标直接指定，也支持吸附到已有图形上。
* 单击鼠标左键或轻按回车键确认并退出命令。

请注意：程序支持以指定的角度或角度模数旋转对象。请在完成步骤1和步骤2后，单击字母“W”，即可在下方“A”输入框中输入角度或角度模数。

# 移动

在指定方向上按指定距离移动对象。对象可被在XYZ三个方向上移动。

### 使用移动

* 选择“【编辑】→【移动】”菜单项，或键入MOVE命令。
* 选择移动对象。被选择的移动对象以粉色高亮显示。选择完成后单击鼠标右键以确认。
* 选择起始点。起始点可在工作区域内通过鼠标直接指定，也支持吸附到已有图形上。
* 选择结束点。结束点可在工作区域内通过鼠标直接指定、吸附到已有图形上，或输入相对起始点的XYZ距离(mm)。此时可看到对象移动时的预览。
* 单击鼠标左键或轻按回车键确认并退出命令。

# 镜像

使用镜像工具可以绕指定轴翻转对象创建对称的镜像图像。


### 使用镜像


* 选择“【编辑】→【镜像】”菜单项，或键入MIRROR命令。
* 选择镜像对象。被选择的镜像对象以粉色高亮显示。选择完成后单击鼠标右键以确认。
* 选择对称轴第一点。第一点可在工作区域内通过鼠标直接指定，也支持吸附到已有图形上。
* 选择对称轴第二点。第二点可在工作区域内通过鼠标直接指定、吸附到已有图形上，或输入相对起始点的XYZ距离(mm)。此时可看到对象镜像时的预览。
* 单击鼠标左键或轻按回车键确认并退出命令。

 # 复制

使用复制工具可以创建对象副本，并将副本移动到指定位置。

### 使用复制

* 选择“【编辑】→【复制】”菜单项，或键入COPY命令。
* 选择复制对象。被选择的复制对象以粉色高亮显示。选择完成后单击鼠标右键以确认。
* 选择起始点。起始点可在工作区域内通过鼠标直接指定，也支持吸附到已有图形上。
* 选择结束点。结束点可在工作区域内通过鼠标直接指定、吸附到已有图形上，或输入相对起始点的XYZ距离(mm)。此时可看到对象复制时的预览。
* 单击鼠标左键或轻按回车键确认并退出命令。

# 删除

使用删除工具可以删除选定的对象。

### 使用删除

*  选择“【编辑】→【删除】”菜单项，或键入Delete命令。
*  选择删除对象。被选择的对象以粉色高亮显示。选择完成后单击鼠标右键以确认并退出命令。


请注意：可使用Del键对选定的构件进行快速删除。