# 关联设置
点击“关联设置”按钮，可关联已有PKPM结构计算模型。当BIM先进行建模，同步至PKPM后，关联设置将自动关联PKPM结构计算模型路径。
![](/uploads/pkpm-bim-stru/images/m_a2e72fe1d563140b99df0045358cef29_r.png)
# 模型导入
关联PKPM结构计算模型路径后，点击“模型导入”按钮，支持将PKPM结构模型快速导入为BIM结构模型。
# 同步至PKPM
双向更新功能支持将PKPM-BIM结构模型与PKPM结构计算模型双向更新，点击“同步至PKPM”按钮，可以BIM结构模型同步至PKPM。在PKPM侧可对模型进行修改、编辑、布置荷载、计算前处理定义、结构计算和查看计算结果等操作，计算完成后可同步回至BIM。
# 同步设置
在点击“同步至PKPM”前，需要进行一些模型接力参数设置，如是否进行全楼构件偏心调整、节点归并距离。
![](/uploads/pkpm-bim-stru/images/m_44c73a5a487f621d321531b8d80ac3fe_r.png)
* 全楼构件偏心调整：勾选该功能后，会对全楼构件进行偏心调整。偏心调整功能详见[对应章节](https://doc.pkpm.cn/docs/pkpm-bim-stru/pkpm-bim-stru-1e479u90bbcn4 "对应章节")。
* 节点归并距离：该值同PKPM结构软件中节点网格线中的归并距离，软件会将输入参数传递给前述模块。默认值为50，单位为mm。