图纸识别功能可识别的结构专业图纸类型包括梁、柱、墙施工图纸中的图形、文字，支持国标平法标注。对于识别效果不理想的图纸，支持用户手动修改和指定。经过识别的图纸数据将与结构计算结果打包，生成BIM审查数据格式，例如.XDB格式。

### 使用图纸识别
点击图纸识别按钮，程序自动跳转至BIM云审查平台结构辅助工具模块，并弹出选择校审工程类别对话框，如图所示。用户可根据所使用的软件情况，选择“DWG图+PKPM模型”或“DWG图+YJK数据”、两种模式之一。下文以前者为例，主要介绍图纸识别流程。有关BIM云审查平台结构辅助工具模块的相关功能可查阅PKPM软件说明书《施工图审查使用说明》相应章节内容。
![](/uploads/pkpm-bim-stru/images/m_fda35be0e3b07e717f905fe89b0a3a38_r.png)
![](/uploads/pkpm-bim-stru/images/m_a905b9a7e0f2192e03e5b15b0f045ce1_r.png)

### 举例：识别梁施工图
* 以梁图识别为例，介绍图纸识别的主要流程。点击“梁图识别”-“打开梁图”，选择一张与工程模型相对应的梁配筋图纸打开。程序自动将DWG图纸转为PKPM支持的T图格式，如图所示。
![](/uploads/pkpm-bim-stru/images/m_1f76da19b8c70261433b9d3e4ef7e883_r.png)
* 转换完成后弹出对话框提示是否插入整张图纸，可根据需要选择“是”或“选择区域”。选择完毕后再次弹出“选择校审图纸对应的自然层”对话框，在里面勾选对应选择图纸的楼层即可，如图所示。
![](/uploads/pkpm-bim-stru/images/m_35ddaf6b0a6dbe3be4da871acdffb4a3_r.png)
* 点击“确定”按钮后，程序会将图纸和模型自动对位，如果对位效果不理想，可通过“移动图纸”功能进行手动对位。完成对位后，点击“自动识别”，弹出识别结果，如图所示。可通过左侧交互设置栏对未识别成功的梁信息进行查看并手动指定。
![](/uploads/pkpm-bim-stru/images/m_0da41baf057e19cf7913c8039c9ea14f_r.png)
* 完成梁图识别后，切换顶部菜单至“数据导出”，点击“为BIM审查导出模型”后，弹出“选择导出模型文件格式”对话框，可根据地区需要选择“.XDB”、“.GDB”、“.NDB”数据格式（湖南选择XDB，广州选择GDB，南京选择NJM）。选择完成后弹出对话窗口，选择PKPM-BIM计算分析生成的PDB数据文件（若有多个PDB文件，一般选择容量最大的一个），并点击打开，如图所示。最后，按照命令行提示完成PDB -> XDB或PDB -> GDB格式的转换。转换完毕将有弹窗提示。关闭砼施工图审查模块，将自动跳转回到PKPM-BIM结构设计软件。
![](images/143.png)