# 视图覆盖方案
  视图覆盖方案是视图级的显示控制，可按构件类别或子类别，对不同剖切状态下的线样式、填充样式及可见性进行设置；支持对【全局显示样式】的覆盖显示；可进行方案创建，方便在不同视图中重复调用。
### 操作步骤
  软件提供两种方式激活【视图覆盖方案】功能。

- 方式一：通过RIBBON菜单功能区激活
选择菜单栏中的【管理】选项卡，点击【视图覆盖方案】图标，弹出视图覆盖方案对话框；
![](/uploads/pkpm-bim-stru/images/m_e891c0eb55cf96def5e69607907a83f1_r.png)

- 方式二：通过视图属性栏激活
在【视图属性栏】的【视图配置区】，找到【视图覆盖属性】，点击下拉选项中的【更多】，弹出视图覆盖方案对话框。
![](/uploads/pkpm-bim-stru/images/m_3919c29b1be67fc50c7fdc5d6c0d2a12_r.png)
### 界面介绍
- 对话框主要分为两部分，左侧为【方案设置区】，右侧为【覆盖样式设置区】；

- 左侧方案设置区的下方有四个按钮，分别可对方可见性方案进行“新建”、“复制”、“重命名”、“删除”；

- 右侧的覆盖样式设置区，又分为模型构件及注释两个页面；
**【模型构件页面】：**
投影及截面界面内——可分别对构件的【线样式】、【填充样式】、【可见性】进行设置；
投影线/隐藏线界面内——可进行【线样式】及【可见性】的设置；

![](/uploads/pkpm-bim-stru/images/m_4972bfecdf26935022583ad0a2e980f7_r.png)
注：【线样式】是对全局显示样式的覆盖，显示优先级大于全局显示样式；
【填充样式】是对材料设置及表面材质设置中的截面填充及表面填充的覆盖，显示优先级大于材料及表面材质设置；
【可见性】设置，可分别对处于某一剖切状态下的某类构件进行整体的可见性设置，也可单独对组成该构件的子图素进行可见性设置，例如，墙构件，可分别对墙的线及填充进行可见性设置。

**【注释界面】：**
界面内可进行【线样式】及【可见性】的设置。
![](/uploads/pkpm-bim-stru/images/m_a68582ed0d49c4b52a75da52af568672_r.png)
注：【线样式】是对全局显示样式的覆盖，显示优先级大于全局显示样式；
【可见性】设置，可分别对某一类注释进行可见性设置。

- 搜索框，可通过关键词进行快速定位，提高修改效率。